Identifications
Manage the legal entities of the account.
/identificationsAuthorization
oauth2 kyc:readA short-lived token for one installation.
In: header
Scope: kyc:read
Query Parameters
At most 100.
Text to look for.
Filter by review status.
Filter by establishment type.
Field to sort by.
Sort direction.
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.mytpe.app/api/ext/identifications" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"owner": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"email": "user@example.com"
},
"name": "string",
"establishment_type": {},
"authorization_type": {},
"activity": {},
"has_file": true,
"file_path": "string",
"status": "pending",
"reason": "string",
"brands": [
{}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"current_page": 0,
"last_page": 0,
"per_page": 100,
"total": 0,
"from": 0,
"to": 0,
"path": "string",
"links": []
},
"links": {
"first": "string",
"last": "string",
"prev": "string",
"next": "string"
}
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/identificationsAuthorization
oauth2 kyc:writeA short-lived token for one installation.
In: header
Scope: kyc:write
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.mytpe.app/api/ext/identifications" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN" \ -F "name=Your name" \ -F "establishment_type_id=your-establishment-type-id" \ -F "authorization_type_id=your-authorization-type-id" \ -F "identification_file=@your-file.pdf"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"owner": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"email": "user@example.com"
},
"name": "string",
"establishment_type": {},
"authorization_type": {},
"activity": {},
"has_file": true,
"file_path": "string",
"status": "pending",
"reason": "string",
"brands": [
{}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/identifications/{identification}Authorization
oauth2 kyc:readA short-lived token for one installation.
In: header
Scope: kyc:read
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.mytpe.app/api/ext/identifications/your-identification" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"owner": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"email": "user@example.com"
},
"name": "string",
"establishment_type": {},
"authorization_type": {},
"activity": {},
"has_file": true,
"file_path": "string",
"status": "pending",
"reason": "string",
"brands": [
{}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/identifications/{identification}Authorization
oauth2 kyc:writeA short-lived token for one installation.
In: header
Scope: kyc:write
Path Parameters
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://api.mytpe.app/api/ext/identifications/your-identification" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN"{
"message": "string"
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}/identifications/{identification}Authorization
oauth2 kyc:writeA short-lived token for one installation.
In: header
Scope: kyc:write
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.mytpe.app/api/ext/identifications/your-identification" \ -H "Authorization: Bearer $MYTPE_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{"name": "Your name"}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"owner": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"email": "user@example.com"
},
"name": "string",
"establishment_type": {},
"authorization_type": {},
"activity": {},
"has_file": true,
"file_path": "string",
"status": "pending",
"reason": "string",
"brands": [
{}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"meta": {},
"error": null
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}{
"errors": [
{
"status": "string",
"code": "string",
"title": "string",
"detail": "string",
"meta": []
}
]
}